Bug 241452 - security/suricata: update to 5.0.0
Summary: security/suricata: update to 5.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-10-24 07:58 UTC by Franco Fichtner
Modified: 2019-11-04 15:20 UTC (History)
2 users (show)

See Also:


Attachments
update to 5.0.0 (6.26 KB, patch)
2019-10-24 07:58 UTC, Franco Fichtner
franco: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2019-10-24 07:58:41 UTC
Created attachment 208552 [details]
update to 5.0.0

Hello,

Suricata released version 5 making Rust a hard dependency.  While here, change a few minor things in the Makefile and reorder pkg-plist for convenience.  The release notes can be found at:

https://suricata-ids.org/2019/10/15/release-notes-for-5-0-0/


Cheers,
Franco
Comment 1 Automation User 2019-10-24 12:45:11 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/91159220
Comment 2 commit-hook freebsd_committer 2019-11-02 13:25:09 UTC
A commit references this bug:

Author: tcberner
Date: Sat Nov  2 13:25:01 UTC 2019
New revision: 516319
URL: https://svnweb.freebsd.org/changeset/ports/516319

Log:
  security/suricata: update to 5.0.0

  PR:		241452
  Submitted by:	Franco Fichtner <franco@opnsense.org>  (maintainer)

Changes:
  head/security/suricata/Makefile
  head/security/suricata/distinfo
  head/security/suricata/pkg-plist
Comment 3 Tobias C. Berner freebsd_committer 2019-11-02 13:26:30 UTC
Committed. Thanks.
Comment 4 Franco Fichtner 2019-11-04 15:20:32 UTC
Thanks a lot! <3